Scrollbar

React Bootstrap 5 Scrollbar

Scrollbar method which allows you to create a custom scrollbar.

Note: Read the API tab to find all available options and advanced customization


Basic example

        
            
          import React from 'react';
          import { MDBScrollbar } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBScrollbar style={{ position: 'relative', width: '600px', height: '400px' }}>
                <img
                  src='https://mdbootstrap.com/img/new/slides/041.webp'
                  alt='...'
                  style={{ height: '700px', width: '1000px' }}
                />
              </MDBScrollbar>
            );
          }
          
        
    

Options

You can easily init scrollbar options with props. Check full list of options here

        
            
          import React from 'react';
          import { MDBScrollbar } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBScrollbar suppressScrollX style={{ position: 'relative', width: '600px', height: '400px' }}>
                <img
                  src='https://mdbootstrap.com/img/new/slides/041.webp'
                  alt='...'
                  style={{ height: '700px', width: '1000px' }}
                />
              </MDBScrollbar>
            );
          }
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Scrollbar - API


Import

        
            
        import { MDBScrollbar } from 'mdb-react-ui-kit';
      
        
    

Properties

MDBScrollbar

Name Type Default Description Example
handlers string[] '['click-rail', 'drag-thumb', 'keyboard', 'wheel', 'touch']' It is a list of handlers to scroll the element. <MDBScrollbar handlers={["keyboard"]}>...</MDBScrollbar>
maxScrollbarLength Number 'undefined' When set to an integer value, the thumb part of the scrollbar will not expand over that number of pixels. <MDBScrollbar maxScrollbarLength={1024}>...</MDBScrollbar>
minScrollbarLength Number 'undefined' When set to an integer value, the thumb part of the scrollbar will not shrink below that number of pixels. <MDBScrollbar minScrollbarLength={1024}>...</MDBScrollbar>
onScrollDown Function '' Invoked when scrolling downwards. <MDBScrollbar onScrollDown={handleEvent}>...</MDBScrollbar>
onScrollLeft Function '' Invoked when scrolling to the left. <MDBScrollbar onScrollLeft={handleEvent}>...</MDBScrollbar>
onScrollRight Function '' Invoked when scrolling to the right. <MDBScrollbar onScrollRight={handleEvent}>...</MDBScrollbar>
onScrollUp Function '' Invoked when scrolling upwards. <MDBScrollbar onScrollUp={handleEvent}>...</MDBScrollbar>
onScrollX Function '' Invoked when the x-axis is scrolled in either direction. <MDBScrollbar onScrollX={handleEvent}>...</MDBScrollbar>
onScrollY Function '' Invoked when the y-axis is scrolled in either direction. <MDBScrollbar onScrollY={handleEvent}>...</MDBScrollbar>
onXReachEnd Function '' Invoked when scrolling reaches the end of the x-axis. <MDBScrollbar onXReachEnd={handleEvent}>...</MDBScrollbar>
onXReachStart Function '' Invoked when scrolling reaches the start of the x-axis. <MDBScrollbar onXReachStart={handleEvent}>...</MDBScrollbar>
onYReachEnd Function '' Invoked when scrolling reaches the end of the y-axis (useful for infinite scroll). <MDBScrollbar onYReachEnd={handleEvent}>...</MDBScrollbar>
onYReachStart Function '' Invoked when scrolling reaches the start of the y-axis. <MDBScrollbar onYReachStart={handleEvent}>...</MDBScrollbar>
scrollBarRef React.RefObject '' Sets a reference for the MDBScrollbar element <MDBScrollbar scrollBarRef={exampleRef}>...</MDBScrollbar>
scrollXMarginOffset Number '0' The number of pixels the content width can surpass the container width without enabling the X-axis scroll bar. Allows some "wiggle room" or "offset break", so that X-axis scroll bar is not enabled just because of a few pixels. <MDBScrollbar scrollXMarginOffset={5}>...</MDBScrollbar>
scrollYMarginOffset Number '0' The number of pixels the content height can surpass the container height without enabling the Y-axis scroll bar. Allows some "wiggle room" or "offset break", so that Y-axis scroll bar is not enabled just because of a few pixels. <MDBScrollbar scrollYMarginOffset={5}>...</MDBScrollbar>
scrollingThreshold Number '1000' This sets threshold for ps--scrolling-x and ps--scrolling-y classes to remain. In the default CSS, they make scrollbars shown regardless of hover state. The unit is millisecond. <MDBScrollbar scrollingThreshold={2000}>...</MDBScrollbar>
sidenav boolean false Enables sidenav mode. <MDBScrollbar sidenav >...</MDBScrollbar>
suppressScrollX boolean 'false' When set to true, the scrollbar in X-axis will not be available, regardless of the content width. <MDBScrollbar suppressScrollX>...</MDBScrollbar>
suppressScrollY boolean 'false' When set to true, the scroll bar in Y-axis will not be available, regardless of the content height. <MDBScrollbar suppressScrollY>...</MDBScrollbar>
swipeEasing boolean 'true' If this option is true, swipe scrolling will be eased. <MDBScrollbar swipeEasing>...</MDBScrollbar>
tag string 'div' Defines tag of the MDBScrollbar wrapper <MDBScrollbar tag="span">...</MDBScrollbar>
useBothWheelAxes boolean 'false' When set to true, and only one (vertical or horizontal) scrollbar is visible then both vertical and horizontal scrolling will affect the scrollbar. <MDBScrollbar useBothWheelAxes>...</MDBScrollbar>
wheelPropagation boolean 'true' If this option is true, when the scroll reaches the end of the side, mousewheel event will be propagated to parent element. <MDBScrollbar wheelPropagation>...</MDBScrollbar>
wheelSpeed Number '1' The scroll speed applied to mousewheel event. <MDBScrollbar wheelSpeed={2}>...</MDBScrollbar>

Angular Scrollbar

Angular Bootstrap 5 Scrollbar

Scrollbar method which allows you to create a custom scrollbar.

Note: Read the API tab to find all available options and advanced customization


Basic example

Scrollbar is initialized automatically when you add mdbScrollbar directive to your container.

        
            
            <div mdbScrollbar style="position: relative; width: 600px; height: 400px;">
              <img
                src="https://mdbootstrap.com/img/new/slides/041.webp"
                alt="..."
                style="height: 700px; width: 1000px;"
              />
            </div>
          
        
    

Config

You can change scrollbar configuration options by passing new configuration object to the config input.

        
            
            <div mdbScrollbar [config]="config" style="position: relative; width: 600px; height: 400px;">
              <img
                src="https://mdbootstrap.com/img/new/slides/041.webp"
                alt="..."
                style="height: 700px; width: 1000px;"
              />
            </div>
          
        
    
        
            
            import { Component } from '@angular/core';
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              config = {
                handlers: ['click-rail', 'drag-thumb', 'keyboard', 'wheel', 'touch'],
                wheelSpeed: 1,
                wheelPropagation: true,
                swipeEasing: true,
                minScrollbarLength: null,
                maxScrollbarLength: null,
                scrollingThreshold: 1000,
                useBothWheelAxes: false,
                suppressScrollX: false,
                suppressScrollY: false,
                scrollXMarginOffset: 0,
                scrollYMarginOffset: 0,
              };
            }
          
        
    

Events

Available scrollbar outputs:

  • scrollX
  • scrollY
  • scrollUp
  • scrollDown
  • scrollLeft
  • scrollRight
  • xReachEnd
  • yReachEnd
  • xReachStart
  • yReachStart

Example

        
            
              <div
                mdbScrollbar
                (scrollY)="onScrollY()"
                (scrollX)="onScrollX()"
                (scrollUp)="onScrollUp()"
                (scrollDown)="onScrollDown()"
                (scrollLeft)="onScrollLeft()"
                (scrollRight)="onScrollRight()"
                (yReachStart)="onYReachStart()"
                (yReachEnd)="onYReachEnd()"
                (xReachStart)="onXReachStart()"
                (xReachEnd)="onXReachEnd()"
                style="position: relative; width: 600px; height: 400px;"
              >
                <img
                  src="https://mdbootstrap.com/img/new/slides/041.webp"
                  alt="..."
                  style="height: 700px; width: 1000px;"
                />
              </div>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                onScrollY(): void {
                  console.log('scroll y');
                }

                onScrollX(): void {
                  console.log('scroll x');
                }

                onScrollUp(): void {
                  console.log('scroll up');
                }

                onScrollDown(): void {
                  console.log('scroll down');
                }

                onScrollLeft(): void {
                  console.log('scroll left');
                }

                onScrollRight(): void {
                  console.log('scroll right');
                }

                onYReachStart(): void {
                  console.log('y reach start');
                }

                onYReachEnd(): void {
                  console.log('y reach end');
                }

                onXReachStart(): void {
                  console.log('x reach start');
                }

                onXReachEnd(): void {
                  console.log('x reach end');
                }
              }
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Angular Scrollbar - API


Import

        
            
        import { MdbScrollbarModule } from 'mdb-angular-ui-kit/scrollbar';
        …
        @NgModule ({
          ...
          imports: [MdbScrollbarModule],
          ...
        })
      
        
    

Following options can be added to the [config] input.

Options

Name Type Default Description
handlers string[] ['click-rail', 'drag-thumb', 'keyboard', 'wheel', 'touch'] It is a list of handlers to scroll the element.
wheelSpeed number 1 The scroll speed applied to mousewheel event.
wheelPropagation boolean true If this option is true, when the scroll reaches the end of the side, mousewheel event will be propagated to parent element.
swipeEasing boolean true If this option is true, swipe scrolling will be eased.
minScrollbarLength boolean null When set to an integer value, the thumb part of the scrollbar will not shrink below that number of pixels.
maxScrollbarLength boolean null When set to an integer value, the thumb part of the scrollbar will not expand over that number of pixels.
scrollingThreshold number 1000 This sets threshold for ps--scrolling-x and ps--scrolling-y classes to remain. In the default CSS, they make scrollbars shown regardless of hover state. The unit is millisecond.
suppressScrollX boolean false When set to true, the scrollbar in X-axis will not be available, regardless of the content width.
suppressScrollY boolean false When set to true, the scroll bar in Y-axis will not be available, regardless of the content height.
scrollXMarginOffset number 0 The number of pixels the content width can surpass the container width without enabling the X-axis scroll bar. Allows some "wiggle room" or "offset break", so that X-axis scroll bar is not enabled just because of a few pixels.
scrollYMarginOffset number 0 The number of pixels the content width can surpass the container width without enabling the X-axis scroll bar. Allows some "wiggle room" or "offset break", so that X-axis scroll bar is not enabled just because of a few pixels.
        
            
          <div
            mdbScrollbar
            [config]="config"
            style="position: relative; width: 600px; height: 400px"
          >
            <img
              src="https://mdbootstrap.com/img/new/slides/041.webp"
              alt="..."
              style="height: 700px; width: 1000px"
            />
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent {
            config = {
              handlers: ['click-rail', 'drag-thumb', 'keyboard', 'wheel', 'touch'],
              wheelSpeed: 1,
              wheelPropagation: true,
              swipeEasing: true,
              minScrollbarLength: null,
              maxScrollbarLength: null,
              scrollingThreshold: 1000,
              useBothWheelAxes: false,
              suppressScrollX: false,
              suppressScrollY: false,
              scrollXMarginOffset: 0,
              scrollYMarginOffset: 0,
            };
          }
        
        
    

Outputs

Name Type Description
scrollX EventEmitter<any> This event fires when the x-axis is scrolled in either direction.
scrollY EventEmitter<any> This event fires when the y-axis is scrolled in either direction.
scrollUp EventEmitter<any> This event fires when scrolling upwards.
scrollDown EventEmitter<any> This event fires when scrolling downwards.
scrollLeft EventEmitter<any> This event fires when scrolling to the left.
scrollRight EventEmitter<any> This event fires when scrolling to the right.
yReachStart EventEmitter<any> This event fires when scrolling to the right.
xReachStart EventEmitter<any> This event fires when scrolling reaches the start of the x-axis.
xReachEnd EventEmitter<any> This event fires when scrolling reaches the end of the x-axis.
yReachEnd EventEmitter<any> This event fires when scrolling reaches the end of the y-axis (useful for infinite scroll).
        
            
            <div
              mdbScrollbar
              (scrollY)="onScrollY($event)"
              style="position: relative; width: 600px; height: 400px"
            >
              <img
                src="https://mdbootstrap.com/img/new/slides/041.webp"
                alt="..."
                style="height: 700px; width: 1000px"
              />
            </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent {
            onScrollY(event:any): void {
              console.log('scroll y', event);
            }
          }